using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("DataSource")]
public class DataSourceEntity
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdSource { get; set; }
    [MaxLength(100)]
    public required string Type { get; set; }
    [MaxLength(100)]
    public required string Modele { get; set; }
    public float Precision { get; set; }
}